Bug 139924 - Xresources affect global foreground and background
Xresources affect global foreground and background
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Depends On:
  Show dependency treegraph
Reported: 2004-11-18 14:50 EST by Viraj Alankar
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-30 23:38:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Viraj Alankar 2004-11-18 14:50:02 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; rv:1.7.3)
Gecko/20040913 Firefox/0.10

Description of problem:
The file /usr/share/control-center-2.0/xrdb/General.ad has settings
that affect global background and foreground settings. An 'xrdb
-query' shows lines similar to:

*foreground: #000000

I believe the application name should be part of this resource
setting. The end result is that it affects other programs that query
for a 'foreground' resource. I witnessed problem from a TCL app
setting the resource setting but it essentially being overridden by
the one above:

option add *foreground white startupFile

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. xrdb -query | grep '^\*foreground'

Actual Results:  *foreground:   #000000

Expected Results:  Results should be blank.

Additional info:
Comment 1 Balbir Sanghera 2005-02-11 15:15:32 EST
This setting also affects Acrobat.  In Acrobat, in the bookmarks pane
text is black on black background, with this setting.

Is there a quick way of turning this setting off or change it?
Comment 2 Carlos Rodrigues 2005-02-13 16:16:50 EST
There should be a way to stop the resources in that directory from
being applied. GNOME is setting resources with wildcards that can
affect non-GNOME applications in unknown ways.

Additionally, the absense of a way to turn them off make this just
plain rude! I don't want my GNOME colors to leak into some Motif apps
that I use, and I can't do it without overrinding a enormous pile of
resources in a local .Xresources. At least KDE has a "do not apply KDE
colors to non-KDE applications" option, GNOME doesn't even have
something like that in GConf...
Comment 3 Matthew Miller 2006-07-10 18:40:51 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 4 John Thacker 2006-10-30 23:38:23 EST
Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.